Summary: CPython module to quickly calculate Levenshtein's edit distance
Name: python-editdist
Version: 0.3
Release: 4%{?dist}
Source0: http://py-editdist.googlecode.com/files/py-editdist-%{version}.tar.gz
License: BSD and ISC
Group: Development/Libraries
BuildRequires: python-devel python-setuptools-devel
URL: http://code.google.com/p/py-editdist/

%description
"editdist" is a CPython module that calculates the Levenshtein edit
distance between two strings. 

%prep
%setup -q -n py-editdist-%{version}

%build
%{__python} setup.py build

%check
PYTHONPATH=%{buildroot}/%{python_sitearch} %{__python} test.py

%install
%{__python} setup.py install -O1 --root=%{buildroot}

%files
%{python_sitearch}/editdist*
%doc LICENSE README TODO ChangeLog 

%changelog
* Thu Aug 09 2012 Paul Wouters <pwouters@redhat.com> - 0.3-4
- Added dist tag
- Added check section.

* Thu Aug 09 2012 Paul Wouters <pwouters@redhat.com> - 0.3-3
- Fix mixed macros, license, changelog and url fields

* Thu Aug 09 2012 Paul Wouters <pwouters@redhat.com> - 0.3-2
- Fedora-ized

* Wed Jul 05 2006 Damien Miller <djm@mindrot.org> - 0.3-1
- Build RPM
